# $Revision: 1.74 $, $Date: 2010/01/15 15:45:19 $
#
# Conditional build:
%bcond_without	pie	# auditd as PIE binary
%bcond_without	prelude	# prelude audisp plugin
%bcond_without	python	# don't build python bindings
#
Summary:	User space tools for 2.6 kernel auditing
Summary(pl.UTF-8):	Narzędzia przestrzeni użytkownika do audytu jąder 2.6
Name:		audit
Version:	2.0.4
Release:	1
License:	GPL v2+
Group:		Daemons
Source0:	http://people.redhat.com/sgrubb/audit/%{name}-%{version}.tar.gz
# Source0-md5:	90d2c70e74041fca5ac4b999cb915d68
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Patch0:		%{name}-install.patch
Patch1:		%{name}-pthread.patch
Patch2:		%{name}-m4.patch
URL:		http://people.redhat.com/sgrubb/audit/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
%{?with_pie:BuildRequires:	gcc >= 5:3.4}
BuildRequires:	gettext-devel >= 0.14.6
BuildRequires:	glibc-headers >= 6:2.3.6
BuildRequires:	heimdal-devel
BuildRequires:	intltool
BuildRequires:	libcap-ng-devel
BuildRequires:	libstdc++-devel
%{?with_prelude:BuildRequires:	libprelude-devel}
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:2.6.20
BuildRequires:	openldap-devel
%if %{with python}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	audit-audispd-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
# use /lib, because this path is put in /usr/share/.../settings.py
%define		_libexecdir	%{_prefix}/lib

%description
The audit package contains the user space utilities for storing and
processing the audit records generate by the audit subsystem in the
Linux 2.6 kernel.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia przestrzeni użytkownika do przechowywania
i przetwarzania rekordów audytu generowanych przez podsystem audytu w
jądrach Linuksa 2.6.

%package libs
Summary:	Dynamic audit libraries
Summary(pl.UTF-8):	Biblioteki dynamiczne audit
License:	LGPL v2.1+
Group:		Libraries

%description libs
The audit-libs package contains the dynamic libraries needed for
applications to use the audit framework.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki dynamiczne potrzebne dla aplikacji
używających środowiska audytu.

%package libs-devel
Summary:	Header files for audit libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek audit
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	linux-libc-headers >= 7:2.6.20

%description libs-devel
The audit-libs-devel package contains the header files needed for
developing applications that need to use the audit framework library.

%description libs-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
używających biblioteki środowiska audytu.

%package libs-static
Summary:	Static audit libraries
Summary(pl.UTF-8):	Statyczne biblioteki audit
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
The audit-libs-static package contains the static libraries for
developing applications that need to use the audit framework.

%description libs-static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki do tworzenia aplikacji
używających środowiska audytu.

%package plugin-prelude
Summary:	prelude plugin for audispd
Summary(pl.UTF-8):	Wtyczka prelude dla audispd
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description plugin-prelude
audisp-prelude is a plugin for the audit event dispatcher daemon,
audispd, that uses libprelude to send IDMEF alerts for possible
Intrusion Detection events.

%description plugin-prelude -l pl.UTF-8
audisp-prelude to wtyczka demona audispd przekazującego zdarzenia
audytowe wykorzystująca libprelude do wysyłania alarmów IDMEF o
prawdopodobnych zdarzeniach IDS.

%package -n python-audit
Summary:	Python interface to libaudit library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki libaudit
License:	LGPL v2.1+
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-audit
Python interface to libaudit library.

%description -n python-audit -l pl.UTF-8
Pythonowy interfejs do biblioteki libaudit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%if !%{with python}
sed 's#swig/Makefile ##' -i configure.ac
sed 's/swig//' -i Makefile.am
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-apparmor \
	--enable-gssapi-krb5 \
	%{?with_prelude:--with-prelude}
# override auditd_{C,LD}FLAGS to avoid -fPIE unsupported by gcc 3.3
%{__make} \
	%{!?with_pie:auditd_CFLAGS="-D_REENTRANT -D_GNU_SOURCE" auditd_LDFLAGS="-Wl,-z,relro"}

# temporarily not included in all
%{__make} -C auparse

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/log/audit

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# temporarily not included in all
%{__make} -C auparse install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libaudit.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libaudit.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libaudit.so
mv -f $RPM_BUILD_ROOT%{_libdir}/libauparse.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libauparse.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libauparse.so

# We manually install this since Makefile doesn't
install -d $RPM_BUILD_ROOT%{_includedir}
install lib/libaudit.h $RPM_BUILD_ROOT%{_includedir}

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/auditd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/auditd

%if %{with python}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add auditd
%service auditd restart "audit daemon"

%preun
if [ "$1" = "0" ]; then
	%service auditd stop
	/sbin/chkconfig --del auditd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS TODO
%attr(750,root,root) %{_bindir}/aulast
%attr(750,root,root) %{_bindir}/aulastlog
%attr(750,root,root) %{_bindir}/ausyscall
%attr(750,root,root) %{_sbindir}/audispd
%attr(750,root,root) %{_sbindir}/auditctl
%attr(750,root,root) %{_sbindir}/auditd
%attr(750,root,root) %{_sbindir}/aureport
%attr(750,root,root) %{_sbindir}/ausearch
%attr(750,root,root) %{_sbindir}/autrace
%attr(755,root,root) %{_sbindir}/audisp-remote
%attr(755,root,root) %{_sbindir}/audispd-zos-remote
%dir %{_sysconfdir}/audisp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/audispd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/audisp-remote.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/zos-remote.conf
%dir %{_sysconfdir}/audisp/plugins.d
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/plugins.d/af_unix.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/plugins.d/au-remote.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/plugins.d/audispd-zos-remote.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/plugins.d/syslog.conf
%dir %{_sysconfdir}/audit
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audit/auditd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audit/audit.rules
%attr(754,root,root) /etc/rc.d/init.d/auditd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/auditd
%attr(750,root,root) %dir %{_var}/log/audit
%{_mandir}/man5/audispd.conf.5*
%{_mandir}/man5/audisp-remote.conf.5*
%{_mandir}/man5/auditd.conf.5*
%{_mandir}/man5/ausearch-expression.5*
%{_mandir}/man5/zos-remote.conf.5*
%{_mandir}/man7/audit.rules.7*
%{_mandir}/man8/audisp-remote.8*
%{_mandir}/man8/audispd-zos-remote.8*
%{_mandir}/man8/audispd.8*
%{_mandir}/man8/auditctl.8*
%{_mandir}/man8/auditd.8*
%{_mandir}/man8/aulast.8*
%{_mandir}/man8/aulastlog.8*
%{_mandir}/man8/aureport.8*
%{_mandir}/man8/ausearch.8*
%{_mandir}/man8/ausyscall.8*
%{_mandir}/man8/autrace.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libaudit.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libaudit.so.1
%attr(755,root,root) /%{_lib}/libauparse.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libauparse.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libaudit.conf
%{_mandir}/man5/libaudit.conf.5*

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudit.so
%attr(755,root,root) %{_libdir}/libauparse.so
%{_libdir}/libaudit.la
%{_libdir}/libauparse.la
%{_includedir}/auparse*.h
%{_includedir}/libaudit.h
%{_mandir}/man3/audit_*.3*
%{_mandir}/man3/auparse_*.3*
%{_mandir}/man3/ausearch_*.3*
%{_mandir}/man3/get_auditfail_action.3*
%{_mandir}/man3/set_aumessage_mode.3*

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libaudit.a
%{_libdir}/libauparse.a

%if %{with prelude}
%files plugin-prelude
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/audisp-prelude
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/audisp-prelude.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audisp/plugins.d/au-prelude.conf
%{_mandir}/man5/audisp-prelude.conf.5*
%{_mandir}/man8/audisp-prelude.8*
%endif

%if %{with python}
%files -n python-audit
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_audit.so
%attr(755,root,root) %{py_sitedir}/auparse.so
%{py_sitedir}/audit.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: audit.spec,v $
Revision 1.74  2010/01/15 15:45:19  qboosh
- updated to 2.0.4

Revision 1.73  2009/08/18 09:14:23  arekm
- up to 2.0

Revision 1.72  2009/07/06 11:02:52  baggins
- rel 5
- add BR heimdal-devel
- fix linking with pthread

Revision 1.71  2009/04/25 11:06:59  hawk
- release 4 for system-config-audit

Revision 1.70  2009/04/22 06:27:49  paszczus
- updated to 1.7.13

Revision 1.69  2009/03/20 22:10:08  duddits
- up to 1.7.12

Revision 1.68  2009/03/14 00:10:27  hawk
- release 3

Revision 1.67  2009/02/04 21:05:40  hawk
- release 2

Revision 1.66  2009/01/20 14:25:56  duddits
- up to 1.7.11

Revision 1.65  2008/12/17 07:11:02  arekm
- up to 1.7.10

Revision 1.64  2008/12/03 20:14:41  arekm
- up to 1.7.9

Revision 1.63  2008/11/10 19:54:37  glen
- release 2

Revision 1.62  2008/11/04 19:33:22  arekm
- up to 1.7.8

Revision 1.61  2008/10/14 21:22:45  qboosh
- updated to 1.7.7 (system-config-audit 0.4.8)

Revision 1.60  2008/10/06 18:22:00  megabajt
- release 3

Revision 1.59  2008/08/04 07:13:27  hawk
- release 2, updated system-config version to proper one

Revision 1.58  2008/07/17 16:09:16  qboosh
- updated to 1.7.4

Revision 1.57  2008/03/24 20:39:34  qboosh
- updated to 1.6.9, system-config-audit 0.4.6
- build and package prelude plugin

Revision 1.56  2008-03-11 13:08:02  hawk
- release 2, (release must be always bumped on upgrade otherwise
  system-config-audit will have same %{version}-%{release})

Revision 1.55  2008-03-05 01:36:54  wolvverine
- up to 1.6.8

Revision 1.54  2008-02-08 12:27:17  hawk
- updated to 1.6.7
- BR: openldap-devel
- dropped plguins subpackage, audisp-ids is no longer provided

Revision 1.53  2008-01-16 17:46:24  qboosh
- pl for -audispd-plugins

Revision 1.52  2008-01-03 13:32:17  qboosh
- ghost soname symlinks

Revision 1.51  2007-12-28 02:04:13  zbyniu
- up to 1.6.3

Revision 1.50  2007-12-11 16:02:11  sls
- Req: python-pygtk-glade (s/pygtk-libglade/pygtk-glade/)

Revision 1.49  2007-12-11 12:37:09  sls
- BR: intltool

Revision 1.48  2007-10-06 15:02:46  arekm
- up to 1.6.2

Revision 1.47  2007/09/07 22:16:32  qboosh
- system-config-audit version is 0.4.3

Revision 1.46  2007/09/03 21:26:23  qboosh
- updated to 1.6.1
- updated install patch

Revision 1.45  2007/07/27 20:04:58  twittner
- up to 1.5.6 (builds, not tested)

Revision 1.44  2007/07/12 16:33:13  qboosh
- updated to 1.5.5
- updated install patch
- new system-config-audit package

Revision 1.43  2007/06/03 19:01:56  qboosh
- updated python files

Revision 1.42  2007/06/03 17:10:04  areq
- 1.5.3

Revision 1.41  2007/05/17 19:42:48  sparky
- don't remove audisp from configure.ac and Makefile.am when built wouthout python

Revision 1.40  2007/04/06 14:28:46  qboosh
- updated to 1.5.1
- dropped custom linux.h (together with swig-fix patch), use system header instead
- audisp moved to main package (no longer depends on python)

Revision 1.39  2007/02/23 20:28:32  sparky
- fix build without python

Revision 1.38  2007/02/17 19:26:43  qboosh
- updated to 1.4.1

Revision 1.37  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.35  2006/12/13 19:22:48  arekm
- enable apparmor events

Revision 1.34  2006/12/12 00:44:32  arekm
- up to 1.3.1

Revision 1.33  2006/12/05 15:32:25  arekm
- up to 1.3

Revision 1.32  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.31  2006/10/27 22:11:44  qboosh
- updated to 1.2.9

Revision 1.30  2006/09/13 15:47:26  sparky
- reverted last change (/usr/lib/python2.4/site-packages is a hardcoded path)
- move *.py to correct place if %{py_sitedit} does not match (not tested)

Revision 1.29  2006/09/13 15:18:20  glen
- lib64 safe

Revision 1.28  2006/09/13 15:13:18  sparky
- remove /usr/lib/python2.4 if built without python to prevent dependancy
  checking
- audispd moved to python subpackage (it's a python script and requires
  AuditMsg module)

Revision 1.27  2006/09/12 18:25:49  qboosh
- updated to 1.2.6, updated swit-fix patch, added install patch

Revision 1.26  2006/06/08 12:54:14  sparky
- added without python bcond

Revision 1.25  2006/04/17 17:26:10  qboosh
- updated -libs* descs (more than one lib now)

Revision 1.24  2006/04/17 15:12:36  qboosh
- updated to 1.2

Revision 1.23  2006/03/12 08:49:52  qboosh
- updated non-PIE auditd flags

Revision 1.22  2006/03/10 22:51:39  qboosh
- updated to 1.1.5; builds fine with glibc 2.3.6

Revision 1.21  2006/02/24 15:20:04  glen
- use %service

Revision 1.20  2006/02/23 00:31:48  glen
- proper epoch

Revision 1.19  2006/02/23 00:11:30  wolvverine
- add BR

Revision 1.18  2006/02/11 19:12:24  pluto
- BR: swig-python.

Revision 1.17  2006/02/11 15:03:12  qboosh
- updated to 1.1.4

Revision 1.16  2006/02/05 18:16:16  qboosh
- updated to 1.1.3, make audit.pyo

Revision 1.15  2006/01/10 17:49:15  heretyk
- added patch that fixes python module
- install compiled python module
- rel. 0.2

Revision 1.14  2005/12/18 23:22:15  qboosh
- package python module
- added missing version information to previous commit message

Revision 1.13  2005/12/14 01:24:32  wolvverine
- new version
  [1.1.2]

Revision 1.12  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.11  2005/10/28 18:51:55  qboosh
- updated to 1.0.8
- pie as bcond

Revision 1.10  2005/10/03 19:03:22  qboosh
- one verify() is enough

Revision 1.9  2005/10/03 18:59:30  darekr
- %verify() for config files

Revision 1.8  2005/10/03 18:38:51  qboosh
- build PIE after Ac

Revision 1.7  2005/09/28 15:47:42  pluto
- fix x86-64 build.

Revision 1.6  2005/08/28 15:21:17  qboosh
- fixed libaudit.so symlink
- replace init/sysconfig with our versions
- -devel R: llh with audit update
- release 1

Revision 1.5  2005/08/28 13:26:36  qboosh
- updated to 1.0.3

Revision 1.4  2005/06/17 22:06:19  qboosh
- added missing update info to last commit message

Revision 1.3  2005/06/17 22:05:47  qboosh
- updated to 0.9.7
- use updated <linux/audit.h>, builds now

Revision 1.2  2005/06/11 19:20:16  qboosh
- updated to 0.9.4 (still doesn't build on llh)

Revision 1.1  2005/06/05 20:49:39  qboosh
- new; spec rewritten from one included with package
- needs build fixes for current llh
